#①パイソンが1～100までの中から数を１つランダムに選ぶ
import random
py_number = random.randint(1, 100)
print('パイソンは1～100の中から数を１つ選びました')

#②count（回数）とscore（点数）を設定する
count = 10
score = 100

#③count > 0 の場合：残りの回数を表示し、数を当ててもらう
while count > 0:
      print('挑戦できる回数は、あと' + str(count) + '回です')
      x = input('パイソンが選んだ数を当ててください')
      your_number = int(x)

      #④1～100以外の数字が打ち込まれた場合
      if your_number < 1 or your_number > 100:
            print('1 ～ 100 までの数を書いてください')
            count -= 1
            score -= 10

      #⑤パイソンの数と打ち込んだ数の差を計算
      sa = abs(py_number - your_number)

      #⑥パイソンの数を当てた場合
      if sa == 0:
            print('正解! あなたの得点は' + str(score) + ' 点です')
            break
      
      #⑦差が50以上の場合
      elif sa >= 50:
            print('全然ちがうよ。50以上も差があるよ')
            count -= 1
            score -= 10

      #⑧差が30以上50未満の場合
      elif sa >= 30:
            print('かなりちがうよ。30以上50未満の差があるよ')
            count -= 1
            score -= 10

      #⑨差が10以上30未満の場合
      elif sa >= 10:
            print('まだ10以上30未満の差があるよ')
            count -= 1
            score -= 10

      #⑩差が4以上10未満の場合
      elif sa >= 4:
            print('かなり近づいたよ。差は10未満だよ')
            count -= 1
            score -= 10

      #⑪差が1以上4未満の場合
      else:
            print('すっごく近いよ')
            count -= 1
            score -= 10

#⑫count = 0の場合：ゲームオーバー
else:
      print('残念。ゲームオーバーです')
